/******************************************************************************
 * Product: iDempiere ERP & CRM Smart Business Solution                       *
 * Copyright (C) 1999-2012 ComPiere, Inc. All Rights Reserved.                *
 * This program is free software, you can redistribute it and/or modify it    *
 * under the terms version 2 of the GNU General Public License as published   *
 * by the Free Software Foundation. This program is distributed in the hope   *
 * that it will be useful, but WITHOUT ANY WARRANTY, without even the implied *
 * warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.           *
 * See the GNU General Public License for more details.                       *
 * You should have received a copy of the GNU General Public License along    *
 * with this program, if not, write to the Free Software Foundation, Inc.,    *
 * 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.                     *
 * For the text or an alternative of this public license, you may reach us    *
 * ComPiere, Inc., 2620 Augustine Dr. #245, Santa Clara, CA 95054, USA        *
 * or via info@compiere.org or http://www.compiere.org/license.html           *
 *****************************************************************************/
package jpiere.base.plugin.org.adempiere.model;

import java.math.BigDecimal;
import java.sql.Timestamp;
import org.compiere.model.*;
import org.compiere.util.KeyNamePair;

/** Generated Interface for JP_ContractCalender
 *  @author iDempiere (generated) 
 *  @version Release 8.2
 */
@SuppressWarnings("all")
public interface I_JP_ContractCalender 
{

    /** TableName=JP_ContractCalender */
    public static final String Table_Name = "JP_ContractCalender";

    /** AD_Table_ID=1000158 */
    public static final int Table_ID = MTable.getTable_ID(Table_Name);

    KeyNamePair Model = new KeyNamePair(Table_ID, Table_Name);

    /** AccessLevel = 3 - Client - Org 
     */
    BigDecimal accessLevel = BigDecimal.valueOf(3);

    /** Load Meta Data */

    /** Column name AD_Client_ID */
    public static final String COLUMNNAME_AD_Client_ID = "AD_Client_ID";

	/** Get Client.
	  * Client/Tenant for this installation.
	  */
	public int getAD_Client_ID();

    /** Column name AD_Org_ID */
    public static final String COLUMNNAME_AD_Org_ID = "AD_Org_ID";

	/** Set Organization.
	  * Organizational entity within client
	  */
	public void setAD_Org_ID (int AD_Org_ID);

	/** Get Organization.
	  * Organizational entity within client
	  */
	public int getAD_Org_ID();

    /** Column name Created */
    public static final String COLUMNNAME_Created = "Created";

	/** Get Created.
	  * Date this record was created
	  */
	public Timestamp getCreated();

    /** Column name CreatedBy */
    public static final String COLUMNNAME_CreatedBy = "CreatedBy";

	/** Get Created By.
	  * User who created this records
	  */
	public int getCreatedBy();

    /** Column name Description */
    public static final String COLUMNNAME_Description = "Description";

	/** Set Description.
	  * Optional short description of the record
	  */
	public void setDescription (String Description);

	/** Get Description.
	  * Optional short description of the record
	  */
	public String getDescription();

    /** Column name IsActive */
    public static final String COLUMNNAME_IsActive = "IsActive";

	/** Set Active.
	  * The record is active in the system
	  */
	public void setIsActive (boolean IsActive);

	/** Get Active.
	  * The record is active in the system
	  */
	public boolean isActive();

    /** Column name JP_ContractCalender_ID */
    public static final String COLUMNNAME_JP_ContractCalender_ID = "JP_ContractCalender_ID";

	/** Set Contract Calendar	  */
	public void setJP_ContractCalender_ID (int JP_ContractCalender_ID);

	/** Get Contract Calendar	  */
	public int getJP_ContractCalender_ID();

    /** Column name JP_ContractCalender_UU */
    public static final String COLUMNNAME_JP_ContractCalender_UU = "JP_ContractCalender_UU";

	/** Set JP_ContractCalendar_UU	  */
	public void setJP_ContractCalender_UU (String JP_ContractCalender_UU);

	/** Get JP_ContractCalendar_UU	  */
	public String getJP_ContractCalender_UU();

    /** Column name JP_ContractCategory_ID */
    public static final String COLUMNNAME_JP_ContractCategory_ID = "JP_ContractCategory_ID";

	/** Set Contract Category	  */
	public void setJP_ContractCategory_ID (int JP_ContractCategory_ID);

	/** Get Contract Category	  */
	public int getJP_ContractCategory_ID();

	public I_JP_ContractCategory getJP_ContractCategory() throws RuntimeException;

    /** Column name JP_ContractContent_ID */
    public static final String COLUMNNAME_JP_ContractContent_ID = "JP_ContractContent_ID";

	/** Set Contract Content	  */
	public void setJP_ContractContent_ID (int JP_ContractContent_ID);

	/** Get Contract Content	  */
	public int getJP_ContractContent_ID();

	public I_JP_ContractContent getJP_ContractContent() throws RuntimeException;

    /** Column name JP_ContractLine_ID */
    public static final String COLUMNNAME_JP_ContractLine_ID = "JP_ContractLine_ID";

	/** Set Contract Content Line	  */
	public void setJP_ContractLine_ID (int JP_ContractLine_ID);

	/** Get Contract Content Line	  */
	public int getJP_ContractLine_ID();

	public I_JP_ContractLine getJP_ContractLine() throws RuntimeException;

    /** Column name JP_Contract_ID */
    public static final String COLUMNNAME_JP_Contract_ID = "JP_Contract_ID";

	/** Set Contract Document	  */
	public void setJP_Contract_ID (int JP_Contract_ID);

	/** Get Contract Document	  */
	public int getJP_Contract_ID();

	public I_JP_Contract getJP_Contract() throws RuntimeException;

    /** Column name Name */
    public static final String COLUMNNAME_Name = "Name";

	/** Set Name.
	  * Alphanumeric identifier of the entity
	  */
	public void setName (String Name);

	/** Get Name.
	  * Alphanumeric identifier of the entity
	  */
	public String getName();

    /** Column name Updated */
    public static final String COLUMNNAME_Updated = "Updated";

	/** Get Updated.
	  * Date this record was updated
	  */
	public Timestamp getUpdated();

    /** Column name UpdatedBy */
    public static final String COLUMNNAME_UpdatedBy = "UpdatedBy";

	/** Get Updated By.
	  * User who updated this records
	  */
	public int getUpdatedBy();

    /** Column name Value */
    public static final String COLUMNNAME_Value = "Value";

	/** Set Search Key.
	  * Search key for the record in the format required - must be unique
	  */
	public void setValue (String Value);

	/** Get Search Key.
	  * Search key for the record in the format required - must be unique
	  */
	public String getValue();
}
